<!--
  @File Name          : acc.html
  @Description        : 
  @Author             : ChangeMeIn@UserSettingsUnder.SFDoc
  @Group              : 
  @Last Modified By   : ChangeMeIn@UserSettingsUnder.SFDoc
  @Last Modified On   : 07/04/2020 à 12:17:11
  @Modification Log   : 
  Ver       Date            Author      		    Modification
  1.0    07/04/2020   ChangeMeIn@UserSettingsUnder.SFDoc     Initial Version
-->
<template>
   <lightning-card title="Custom Search Functionality in LWC" icon-name="standard:account">
       <div if:true={errorMsg} style="margin-left: 3%;">
           <p style="color: red;">{errorMsg}</p>
       </div>

       <lightning-layout multiple-rows="true" vertical-align="end">
           <lightning-layout-item size="12" small-device-size="10" medium-device-size="8" large-device-size="6" padding="around-small">
                   <div class="slds-form-element">
                           <div class="slds-form-element__control">
                                   <lightning-input type="text" 
                                                    label="Enter Account Name" 
                                                    onchange={handleAccountName} ></lightning-input>
                           </div>
                       </div> 
           </lightning-layout-item>
           <lightning-layout-item size="12" small-device-size="2" medium-device-size="2" large-device-size="2" padding="around-small">
                   <lightning-button label="Search" 
                                     variant="brand" 
                                     onclick={handleSearch}></lightning-button>
               </lightning-layout-item>
           </lightning-layout><br/>

       <div if:true={searchData}>
           <lightning-datatable data={searchData} 
                                columns={columns} 
                                key-field="id"
                                hide-checkbox-column="true"></lightning-datatable>
       </div>
   </lightning-card>

</template>